/*F File_name: 
/*F	MeanStd.c
/*
/*P Purpose:
/*P 	The purpose of this program is to take an input time series
/*P     and determine its means and standard deviation.
/*P     This program is compatiable to link with cascade.tcl program.
/*P     Amalgamate this program with cascade.tcl using "xmktclapp".  
/*P     The pathname specified in compilation is specific for skorpio machine.
/*
/*U Usage:
/*U     gcc -o cascade MeanStd.c cascade.c -L/sw/arch/lib -ltk8.0 -ltcl8.0 -lX11 -lm -ldl
l
/*U     MeanStd input_file
/*
/*E Example:
/*E     MeanStd testIp.dat
/*
/*A Author:
/*A  	Ram Balakrishnan
/*
/*D Date:
/*D 	February 1998
/*
 ****************************************************************************/

#include <stdlib.h> 
#include <math.h> 
#include <stdio.h>
#include "synTraff.h"
 

int ET_COMMAND_MeanStd(ET_TCLARGS)
{
  int ipCndtn, size;
  float num; 
  float sum, sumOfSq, mean, var;
  FILE *inFile;

  if( argc != 2 )
    {
      Et_ResultF(interp, "Usage: MeanStd input_file\n");
      return TCL_ERROR;
    }

  inFile = fopen(argv[1],"r");
  
  sum = 0.0;
  sumOfSq = 0.0;
  size = 0;
  mean = 0;
  var = 0;

  while (fscanf(inFile,"%f\n", &num) != EOF)
    { size = size+1;
      num *= 1.0;
      sum += num;
      sumOfSq += num*num;
    } // for
  if (size > 1)
    { mean = sum/size;
      var = (sumOfSq - sum*sum/size)/(size-1);
    } // if

  fclose(inFile);
  Et_ResultF(interp,"%f %f", mean, sqrt(var));
  return TCL_OK;

}




